Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xml
Class AbstractCompositeNodeHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.AbstractNodeHandler
              org.jbpm.bpmn2.xml.AbstractCompositeNodeHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

Direct Known Subclasses:
  CompositeContextNodeHandler, ForEachNodeHandler

    public abstract class AbstractCompositeNodeHandler

extends AbstractNodeHandler

Field Summary

Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`AbstractCompositeNodeHandler()`

Method Summary
`protected List<Connection>` | `getSubConnections(CompositeNode compositeNode)`
`protected void` | `visitConnectionsAndAssociations(Node node, StringBuilder xmlDump, int metaDataType)`

Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`createNode, end, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeNode, writeNode, writeScript, writeScripts, writeScripts`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, generateNodeFor, getValidParents, getValidPeers`

Constructor Detail

### AbstractCompositeNodeHandler

    public AbstractCompositeNodeHandler()

Method Detail

### visitConnectionsAndAssociations

    protected void visitConnectionsAndAssociations(Node node,
                                                   StringBuilder xmlDump,
                                                   int metaDataType)

### getSubConnections

    protected List<Connection> getSubConnections(CompositeNode compositeNode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.